# -*- encoding: utf-8 -*-
# stub: sensu-plugins-dcos 0.4.2 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-dcos".freeze
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "PTC", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["PTC and contributors".freeze]
  s.date = "2018-02-21"
  s.description = "This plugin provides native dcos-metrics instrumentation\n                              for monitoring and metrics collection.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-dcos-metrics.rb".freeze, "metrics-dcos-containers.rb".freeze, "check-dcos-container-count.rb".freeze, "check-dcos-node-health.rb".freeze, "check-dcos-component-health.rb".freeze, "metrics-dcos-system-health.rb".freeze, "metrics-dcos-host.rb".freeze, "check-dcos-ping.rb".freeze, "check-dcos-container-metrics.rb".freeze, "check-dcos-jobs-health.rb".freeze]
  s.files = ["bin/check-dcos-component-health.rb".freeze, "bin/check-dcos-container-count.rb".freeze, "bin/check-dcos-container-metrics.rb".freeze, "bin/check-dcos-jobs-health.rb".freeze, "bin/check-dcos-metrics.rb".freeze, "bin/check-dcos-node-health.rb".freeze, "bin/check-dcos-ping.rb".freeze, "bin/metrics-dcos-containers.rb".freeze, "bin/metrics-dcos-host.rb".freeze, "bin/metrics-dcos-system-health.rb".freeze]
  s.homepage = "https://github.com/PTC-Global/sensu-plugins-dcos".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.1.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for dcos-metrics checks and metrics".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<daybreak>.freeze, ["= 0.3.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 1.8.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<json>.freeze, ["< 2.0.0"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_development_dependency(%q<serverspec>.freeze, ["~> 2.36.1"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_dependency(%q<daybreak>.freeze, ["= 0.3.0"])
    s.add_dependency(%q<rest-client>.freeze, ["= 1.8.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<json>.freeze, ["< 2.0.0"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<serverspec>.freeze, ["~> 2.36.1"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.6"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
